%define	major	1
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d
%define	oname	openal-soft

Name:		openal
Summary:	3D Sound Library
Version:	1.18.2
Release:	%mkrel 1
License:	LGPLv2
Group:		Sound
URL:		http://www.openal.org
Source0:	http://connect.creativelabs.com/openal/Downloads/%{oname}-%{version}.tar.xz
#------------------------------------------
BuildRequires: qt4-devel
BuildRequires: cmake
BuildRequires: libalsa2-devel
BuildRequires: libffmpeg-devel
BuildRequires: libjack-devel
BuildRequires: libportaudio-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libsdl2.0-devel
BuildRequires: libSDL-devel
BuildRequires: libSDL_sound-devel
#------------------------------------------
Provides:	%{oname} = %{version}-%{release}

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.

%package -n	%{libname}
Summary:	Main library for OpenAL, a free 3D sound library
Group:		Sound
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with OpenAL.

%package -n	%{devname}
Summary:	Headers for developing programs that will use OpenAL
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d
Provides:	%mklibname %{name} 0 -d

%description -n	%{devname}
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake -DALSOFT_CONFIG=ON
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

mkdir -p %{buildroot}/%{_sysconfdir}/%{name}
install -m 0644 alsoftrc.sample %{buildroot}/%{_sysconfdir}/%{name}/alsoft.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/openal
%config(noreplace) %{_sysconfdir}/openal/alsoft.conf
%{_bindir}/alffplay
%{_bindir}/alhrtf
%{_bindir}/allatency
%{_bindir}/alloopback
%{_bindir}/alrecord
%{_bindir}/alreverb
%{_bindir}/alsoft-config
%{_bindir}/alstream
%{_bindir}/altonegen
%{_bindir}/bsincgen
%{_bindir}/openal-info
%{_bindir}/makehrtf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/alsoftrc.sample
%{_datadir}/%{name}/hrtf/*.mhr
%{_datadir}/%{name}/presets/

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%defattr(-,root,root)
%{_includedir}/AL
%{_libdir}/cmake/OpenAL/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so


%changelog
* Sun Dec 02 2018 adrianomorselli <adrianomorselli> 1.18.2-1uplos2018
- update
